This is an automated email from the git hooks/post-receive script.

gregoa pushed a commit to branch master
in repository libany-uri-escape-perl.

commit 822aa424eb83b0b6cbb40bb95bd0683bfa2bc086
Author: gregor herrmann <>
Date:   Mon Feb 22 22:31:09 2016 +0100

    Add liburi-escape-xs-perl to Recommends
    since the very purpose of using Any::URI::Escape is to weak-requiring
    Also make sure it's installed at build time.
    Thanks: Jonas Smedegaard for the bug report.
    Closes: #815576
 debian/control | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/debian/control b/debian/control
index e6f9e01..8401b16 100644
--- a/debian/control
+++ b/debian/control
@@ -4,7 +4,7 @@ Priority: optional
 Maintainer: Debian Perl Group <>
 Uploaders: Robin Sheat <>
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: perl, liburi-perl | liburi-escape-xs-perl
+Build-Depends-Indep: perl, liburi-perl, liburi-escape-xs-perl
 Standards-Version: 3.9.6
@@ -15,6 +15,7 @@ Package: libany-uri-escape-perl
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
  liburi-perl | liburi-escape-xs-perl
+Recommends: liburi-escape-xs-perl
 Description: module to load URI::Escape::XS preferentially over URI::Escape
  URI::Escape is great, but URI::Escape::XS is faster. Any::URI::Escape loads
  URI::Escape::XS and imports the two most common methods if XS is installed.

Alioth's /usr/local/bin/git-commit-notice on 

Pkg-perl-cvs-commits mailing list

Reply via email to